## curry-frontend 2.0.0

=== Makefile ===
##############################################################################
# Makefile for installing the Curry front end
##############################################################################

# the root directory of the installation
export ROOT=$(CURDIR)
# binary directory and executables
export BINDIR=$(ROOT)/bin
# The frontend binary
export CYMAKE = $(BINDIR)/curry-frontend

# install front end (if sources are present):
.PHONY: frontend
frontend:
	stack install --local-bin-path $(BINDIR)

.PHONY: clean
clean:
	stack clean

.PHONY: cleanall
cleanall:
	stack clean --full
	rm -f $(CYMAKE) && rm -rf bin

.PHONY: runtests
runtests:
	stack test

## curry-frontend 0.4.2

=== debian/changelog ===
curry-frontend (0.4.2-6build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 14:10:17 +0200

curry-frontend (0.4.2-6build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 20:37:42 +0200

curry-frontend (0.4.2-6) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/control:
    + Drop from B-D: libghc-cabal-{dev,prof}. Cabal is now provided with ghc
      itself. (Closes: #865817).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Jun 2017 09:59:59 +0200

curry-frontend (0.4.2-5) unstable; urgency=medium

  * debian/control:
    + Fix URL typo in LONG_DESCRIPTION. (Closes: #853222).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Jan 2017 10:34:43 +0100

curry-frontend (0.4.2-4) unstable; urgency=medium

  * debian/control:
    + Drop libghc-curry-frontend-prof. Not needed for normal
      curry-frontend operations. (Closes: #852843).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2017 21:40:24 +0100

curry-frontend (0.4.2-3) unstable; urgency=medium

  * debian/control:
    + Add Vcs-*: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2017 21:21:31 +0100

curry-frontend (0.4.2-2) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D: libghc-curry-base-*. Ensure, that
      curry-base >= 0.4.2-3 gets used.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2017 15:38:09 +0100

curry-frontend (0.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #840532).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 21 Dec 2016 13:54:41 +0000

=== debian/control ===
Source: curry-frontend
Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Michael Hanus <mh@informatik.uni-kiel.de>,
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts (>= 0.8),
 cdbs,
 devscripts (>= 1.16.1.1~),
 ghc,
 ghc-prof,
 libghc-containers-dev,
 libghc-containers-prof,
 libghc-curry-base-dev (>= 0.4.2-3~),
 libghc-curry-base-dev (<< 0.4.3),
 libghc-curry-base-prof (>= 0.4.2-3~),
 libghc-curry-base-prof (<< 0.4.3),
 libghc-directory-dev,
 libghc-directory-prof,
 libghc-filepath-dev,
 libghc-filepath-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof (>= 2.6),
 libghc-process-dev,
 libghc-process-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-transformers-dev,
 libghc-transformers-prof,
Build-Depends-Indep: ghc-doc,
 libghc-base-doc,
 libghc-containers-doc,
 libghc-curry-base-doc,
 libghc-directory-doc,
 libghc-filepath-doc,
 libghc-mtl-doc,
 libghc-network-uri-doc,
 libghc-process-doc,
 libghc-syb-doc,
 libghc-transformers-doc,
Standards-Version: 4.0.0
Homepage: http://curry-language.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git
Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git
X-Description: Lexer, parser, type checker, etc. for Curry
 The Curry Frontend consists of the executable program
 "curry-frontend". It is used by various backends to
 compile programs written in the functional logic language
 Curry to various intermediate representations.
 .
 For further information, please check
 http://curry-language.org

Package: libghc-curry-frontend-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-curry-frontend-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-curry-frontend-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: curry-frontend
Architecture: any
Section: misc
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}; executable
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/curry-frontend-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-frontend/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## curry-frontend 1.0.0

=== debian/changelog ===
curry-frontend (1.0.0-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Dec 2017 19:27:56 +0100

curry-frontend (1.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Set Priority: field to optional.
    + Bump Standards-Version: to 4.1.1.
    + Update versioned B-D on 'curry-base'.
    + Add B-D 'set-extra'.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Nov 2017 11:48:20 +0100

curry-frontend (0.4.2-7) unstable; urgency=medium

  * debian/watch:
    + Update to new upstream URL.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Sep 2017 20:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Michael Hanus <mh@informatik.uni-kiel.de>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.8),
@@ -13,10 +13,10 @@
  ghc-prof,
  libghc-containers-dev,
  libghc-containers-prof,
- libghc-curry-base-dev (>= 0.4.2-3~),
- libghc-curry-base-dev (<< 0.4.3),
- libghc-curry-base-prof (>= 0.4.2-3~),
- libghc-curry-base-prof (<< 0.4.3),
+ libghc-curry-base-dev (>= 1.0.0~),
+ libghc-curry-base-dev (<< 1.0.1),
+ libghc-curry-base-prof (>= 1.0.0~),
+ libghc-curry-base-prof (<< 1.0.1),
  libghc-directory-dev,
  libghc-directory-prof,
  libghc-filepath-dev,
@@ -27,6 +27,8 @@
  libghc-network-uri-prof (>= 2.6),
  libghc-process-dev,
  libghc-process-prof,
+ libghc-set-extra-dev,
+ libghc-set-extra-prof,
  libghc-syb-dev,
  libghc-syb-prof,
  libghc-transformers-dev,
@@ -34,15 +36,17 @@
 Build-Depends-Indep: ghc-doc,
  libghc-base-doc,
  libghc-containers-doc,
- libghc-curry-base-doc,
+ libghc-curry-base-doc (>= 1.0.0~),
+ libghc-curry-base-doc (<< 1.0.1),
  libghc-directory-doc,
  libghc-filepath-doc,
  libghc-mtl-doc,
  libghc-network-uri-doc,
  libghc-process-doc,
+ libghc-set-extra-doc,
  libghc-syb-doc,
  libghc-transformers-doc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://curry-language.org
 Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git

## curry-frontend 1.0.1

=== debian/changelog ===
curry-frontend (1.0.1-2) unstable; urgency=medium

  * Re-upload to rebuild doc package against newer ghc haddock interface.
    (see cury-base Debian bug #896972).
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Apr 2018 15:36:04 +0200

curry-frontend (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Add B (curry-frontend): pakcs (<< 2.0.1~).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2018 11:22:49 +0100

=== debian/control ===
--- 
+++ 
@@ -46,10 +46,10 @@
  libghc-set-extra-doc,
  libghc-syb-doc,
  libghc-transformers-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://curry-language.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-frontend.git
+Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-frontend
+Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-frontend.git
 X-Description: Lexer, parser, type checker, etc. for Curry
  The Curry Frontend consists of the executable program
  "curry-frontend". It is used by various backends to
@@ -108,6 +108,7 @@
 Recommends: ${haskell:Recommends},
 Suggests: ${haskell:Suggests},
 Conflicts: ${haskell:Conflicts},
+Breaks: pakcs (<< 2.0.1~),
 Provides: ${haskell:Provides},
 Description: ${haskell:ShortDescription}${haskell:ShortBlurb}; executable
  ${haskell:LongDescription}

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\/v(\d\S+)\/archive\.tar\.gz/curry-frontend-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-frontend/tags?sort=updated_desc .*/v?(\d\S+)/archive\.tar\.gz

## curry-frontend 1.0.2

=== debian/changelog ===
curry-frontend (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Update versioned B-Ds on curry-base to (>= 1.1.0~), but (<< 1.1.1).
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/source/lintian-overrides:
    + Drop the source override at old location, finally.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Nov 2018 16:30:46 +0100

curry-frontend (1.0.1-3) unstable; urgency=medium

  * debian/watch:
    + Update for tarball export feature in latest GitLab versions.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * lintian: Move source override to new canonical location in debian/source/
    subfolder.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 15:43:51 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  ghc-prof,
  libghc-containers-dev,
  libghc-containers-prof,
- libghc-curry-base-dev (>= 1.0.0~),
- libghc-curry-base-dev (<< 1.0.1),
- libghc-curry-base-prof (>= 1.0.0~),
- libghc-curry-base-prof (<< 1.0.1),
+ libghc-curry-base-dev (>= 1.1.0~),
+ libghc-curry-base-dev (<< 1.1.1),
+ libghc-curry-base-prof (>= 1.1.0~),
+ libghc-curry-base-prof (<< 1.1.1),
  libghc-directory-dev,
  libghc-directory-prof,
  libghc-filepath-dev,
@@ -36,8 +36,8 @@
 Build-Depends-Indep: ghc-doc,
  libghc-base-doc,
  libghc-containers-doc,
- libghc-curry-base-doc (>= 1.0.0~),
- libghc-curry-base-doc (<< 1.0.1),
+ libghc-curry-base-doc (>= 1.1.0~),
+ libghc-curry-base-doc (<< 1.1.1),
  libghc-directory-doc,
  libghc-filepath-doc,
  libghc-mtl-doc,
@@ -46,7 +46,7 @@
  libghc-set-extra-doc,
  libghc-syb-doc,
  libghc-transformers-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://curry-language.org
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-frontend
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-frontend.git

## curry-frontend 1.0.3

=== debian/changelog ===
curry-frontend (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Update versioned B for pakcs (to << 2.1.0~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 12:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
  libghc-set-extra-doc,
  libghc-syb-doc,
  libghc-transformers-doc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://curry-language.org
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-frontend
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-frontend.git
@@ -108,7 +108,7 @@
 Recommends: ${haskell:Recommends},
 Suggests: ${haskell:Suggests},
 Conflicts: ${haskell:Conflicts},
-Breaks: pakcs (<< 2.0.1~),
+Breaks: pakcs (<< 2.1.0~),
 Provides: ${haskell:Provides},
 Description: ${haskell:ShortDescription}${haskell:ShortBlurb}; executable
  ${haskell:LongDescription}

## curry-frontend 1.0.4

=== debian/changelog ===
curry-frontend (1.0.4-5) unstable; urgency=medium

  * debian/control:
    + Enforce rebuild against ghc (>= 8.8.3). (Closes: #964675).
    + Make sure we rebuild against curry-base (>= 1.1.1-3~).
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Sep 2020 17:33:38 +0200

curry-frontend (1.0.4-4) unstable; urgency=medium

  * debian/patches:
    + Add 0004_fix-spaninfo-of-renamed-typevars.patch. Add follow-up
      commit for already cherry-picked patches 0001-0003.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2020 15:30:52 +0100

curry-frontend (1.0.4-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Update B-Ds: Add file-embed.
    + Drop B-D devscripts. This originally was intended to be
      dpkg-dev (not devscripts). The required dpkg-dev version
      is available in Debian since wheezy.
  * debian/patches:
    + Add  bump-to-new-1-0-4-tag.patch. Upstream moved 1.0.4 tag in
      upstream Git. Chasing after them... (Closes: #947162).
    + Add 0001_remove-implicit-prelude-import-from-AST.patch.
    + Add 0002_export-AST-unqualified.patch.
    + Add 0003_keep-SpanInfos-for-local-idents-in-SyntaxCheck.patch.
  * debian/README.source:
    + Document tag movings on the upstream Git repository.
  * debian/rules:
    + Disable tests for now. In Debian, tests fail. Upstream states
      that all tests succeed. This solution is not ideal.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2020 13:40:52 +0100

curry-frontend (1.0.4-2) unstable; urgency=medium

    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Fix typo in Security-Contact: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Nov 2019 10:32:46 +0100

curry-frontend (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Fix Repository-Browser: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,20 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.8),
  cdbs,
- devscripts (>= 1.16.1.1~),
- ghc,
+ ghc (>= 8.8.3),
  ghc-prof,
  libghc-containers-dev,
  libghc-containers-prof,
- libghc-curry-base-dev (>= 1.1.0~),
- libghc-curry-base-dev (<< 1.1.1),
- libghc-curry-base-prof (>= 1.1.0~),
- libghc-curry-base-prof (<< 1.1.1),
+ libghc-curry-base-dev (>= 1.1.1-3~),
+ libghc-curry-base-dev (<< 1.1.2),
+ libghc-curry-base-prof (>= 1.1.1-3~),
+ libghc-curry-base-prof (<< 1.1.2),
  libghc-directory-dev,
  libghc-directory-prof,
  libghc-filepath-dev,
  libghc-filepath-prof,
+ libghc-file-embed-dev,
+ libghc-file-embed-prof,
  libghc-mtl-dev,
  libghc-mtl-prof,
  libghc-network-uri-dev (>= 2.6),
@@ -36,17 +37,19 @@
 Build-Depends-Indep: ghc-doc,
  libghc-base-doc,
  libghc-containers-doc,
- libghc-curry-base-doc (>= 1.1.0~),
- libghc-curry-base-doc (<< 1.1.1),
+ libghc-curry-base-doc (>= 1.1.1-3~),
+ libghc-curry-base-doc (<< 1.1.2),
  libghc-directory-doc,
  libghc-filepath-doc,
+ libghc-file-embed-doc,
  libghc-mtl-doc,
  libghc-network-uri-doc,
  libghc-process-doc,
  libghc-set-extra-doc,
  libghc-syb-doc,
  libghc-transformers-doc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://curry-language.org
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-frontend
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-frontend.git

## curry-frontend 2.0.0

=== debian/changelog ===
curry-frontend (2.0.0-2build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:52:31 +0200

curry-frontend (2.0.0-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 22:43:58 +0100

curry-frontend (2.0.0-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
  * debian/patches:
    + Drop all patches, all included in this upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Update B-D field (esp. Haskell dependencies).
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.
  * debian/source/lintian-overrides:
    + Drop file, non of the overrides required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 15:24:01 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Upstream says: tests work, in Debian (2019-01-13) tests fail, so
# disabling them for now...
DEB_ENABLE_TESTS = no
DEB_CABAL_PACKAGE = curry-frontend
DEB_DEFAULT_COMPILER = ghc

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-curry-frontend-utils:: build-ghc-stamp

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\/curry-frontend-v(\d\S+)\.tar\.gz/curry-frontend-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-frontend/tags?sort=updated_desc .*/archive/v?(\d\S+)\/.*.tar\.gz
